---
title: "College: A Post-Mortem"
date: 2018-01-26T12:00:00
draft: true
tags: ["higher education"]
---

College, what a journey. I'm not sure if I could tell the whole story that I'd even know what to include. It was such
a long and painful road to travel, and a lonely one at that. I was constantly met with challenges, hardships,
and roadblocks all hell-bent on taking away any chances of success. In my last 7 years, I've attended four
separate colleges, and each had an equal part to play in making me the person I am today. However, each took 
a piece of something from me that I'll never get back: my childhood. I dealt with so much that there is no doubt
that my experiences hardened me for adulthood. Here is the story of my bachelor's degree, starting from my
senior year of high school.

# Big Fish in a Small Pond: Middleburg Academy

It was a bright and cheery day on the lawn of the descrated Mary House at Middleburg Academy. My classmates and
I, all 18 years old and starry-eyed, were dressed like we were having a group wedding. Every boy wore a tuxedo,
and every girl wore a white dress, carrying a bouquet of flowers. The antiquated dress code was leftover from
the 60 years that my high school had been in existence, no doubt to signify to all involved that we had grown
up. Jokingly, in my boyish ways, I was posing in my tuxedo before and after the ceremony. Getting into classic
poses like the '007 gunpoint, and the Heisman.

During the ceremony, as our salutatorian gave his speech, I reflected on what a nice time
high school was. Confusing at times, but a decent transition into what I had thought was adulthood.

First, I ballooned in height. In my freshman year, 4 years prior, I stood at a mere four feet and 
eleven inches. At my current "adult" height, I was a full foot taller. 

Second, I was excelling at my chosen sport of Lacrosse. After 3 years of literal blood, sweat, and tears, 
it felt as if I finally had grown into my body. My position on the field, goalie, had previously felt
awkward to me. Now playing goalie felt like riding a bike. I went from junior varsity my freshman year, to
being all-conference my senior year as well as team captain.

Third, I had a girlfriend that had helped me come out of my shell. I lived my entire life trying to escape my
nerdy, videogame playing childhood where I was bullied at little league practice constantly and couldn't shake
a feeling that I was never good enough. She did things and treated me in a way that gave me confidence. At the
time, she was the most beautiful girl that had ever given me a chance. I was on cloud nine.

Fourth, due to excelling in lacrosse, I had commited to play NCAA Division 3 lacrosse at Christopher Newport.
After the CNU coach saw me play in a summer tournament, shutting out one of the best high schools in the country
(purely by luck in my opinion), his exact words were "when can you come down for a visit." I hadn't talked to
him before, but his belief in me and salesmanship of his school were enough to bring me from confident to
cocky. His promises that I would be on the starting roster soon after arriving on campus were enough to cloud my 18-year-old mind, preemptively shutting down any other school's chances of recruiting me even if that school
would have been a better fit.

There was a dark spot to high school though, one of my best friends who was also my teammate, and who I drove to school every day, died. He was found dead in his room, the day after saying to me that hardships in his life would literally kill him, and to not come and pick him up the next day.

When I finished reflecting, I heard my name called, and ascended the steps to the stage. As I walked the stage, receiving my diploma from the fourth headmaster in four years at Middleburg Academy, I
felt ready to enter the world. My life progressively had gotten better every year of high school, what could college do to me that would be worse than whatever I had already experienced? I saw the light at the end of the tunnel that is high school, an adult life, filled with drinking and a good job and shooting the breeze with my confidence-inspiring girlfriend. All of these delusions of grandeur could only possibly be concocted by a brain still addled with hormones not ready for adulthood, but into the deep I went. 

## The Summer Before College

The summer wasn't unlike others I had experienced. It was hot, and humid, and not necessarily eventful. 

Before graduation, on my official visit to CNU, I was given a packet filled to the brim with weight lifting programs
and sprint workouts designed to make me the elite athlete I thought the team was filled with. What I should have
realized when being handed the packet, was what kind of man the coach I had been sold CNU by was. The air in his
office was filled with threats of being suspended from the team, or permanently benched if I didn't follow the
program. Sadly, as a teenager I just believed that was what college coaches were like, and went on my merry way.
My first priority over the summer was to get fit.

In addition to my workouts, I had a terrible job at Giant, where for $7.25 an hour I stood in the same spot, scanning food for the townspeople and doling out change. In my tenure as a cashier, I was told to work through my mandated breaks, forced to work in different departments where I had no knowledge, and sexually harrassed. There were some bright spots to the job though, through a smoking habit I picked up at my last job, I got to take smoke breaks with a wonderful man that worked the deli counter named Eugene. Eugene was a Vietnam veteran with only 3 teeth, and told the best stories. His stories weren't just of the war, but also of life. Eugene was very sad to see me go off to college, and on my last day at Giant he gave me his cell phone number saying I should come over and have a beer with him on his lawn sometime. Being 18 and feeling that this was creepy, I said no. One of my greatest regrets is not calling Eugene on one of my breaks from college to catch up and see how he was doing.

With my job, and workouts planned, I had other minutia to attend to. I had to buy my first textbooks ever, plan my very first class schedule, and in general come up with a budget to save my hard-earned minimal amount of money for college. All of these tasks are daunting to an 18-year-old, but I did the best I could.

Wanting to hang out with my girlfriend while I was tending to college tasks, I drove to her house one sunny July afternoon, only to find a familiar car from my high school in her driveway. Confused, I knew that I had asked her to hang out earlier that day, and she said she was busy. Looking inside the car, I confirmed the identity of car owner and went inside. The boy was one of my teammates on the lacrosse team. It's probably no surprise what I had found. My ironically confidence-inspiring girlfriend and my teammate were in her bedroom. Skipping the majority of the following events of the month, we fought constantly and she strung me along after that. I was unable to leave her, convinced that I must have done something wrong. It wasn't until I left for college that I had the courage to break it off with her. After that, I became a monster.

# Act 1: Christopher Newport University

I arrived on campus, weary from the summer, but I quickly was rejuvenated by what I saw. The buildings were bright
and shiny, with ornate columns gracing the front of lecture halls, offices, and even dorms. There was a great, grassy field that stretched out the entire length of the main section of campus which students and tour guides affectionately called "The Great Lawn" (Shamelessly stolen from UVA, which the CNU president is in love with). I saw people playing frisbee, students laying in the grass reading books, and beautiful girls. I was excited to get started, relentlessly tweeting fellow CNU lacrosse freshmen from my parents' car waiting in line to unload my stuff and take it up to my dorm room. 

When it was our turn to unpack, the experience was surreal. My entire life fit into one rollable bin. My parents, siblings, and I rolled the bin into the Santoro hall elevator, past beaming orientation volunteers, and down the hall to my room on the second floor. My new random roommate, Tre, had just arrived and was unpacking his stuff. After introductions and shaking hands with the kid I was to live with for the next year, my family and I exited the dorm.

My mom gave me a tearful hug goodbye, telling me to be safe and careful and that she loves me, and my dad stoically shook my hand. My siblings said bye in their own special way. Eli flipped me off as my Mom drove away, and my litle sister never looked up from the Nintendo DS she was holding. Just like that, I was alone, at this weird summer camp type place where I was to continue figuring out what kind of person I was going to be.

## College Lacrosse Begins

Not too long after getting settled, all of the CNU lacrosse freshmen get emails from the head coach. The email contained a detailed itinerary of the weeks to follow. We were to have 5 a.m. lifting sessions followed by sprint workouts every other day, and a mandated study hall twice a week as freshmen. Also, the email had information about when the first practices were, and when the fitness testing was, as well as a warning about conditioning.

We had a few initial team meetings about check-ups, insurance, and other administrivia. After a week, conditioning began. To say that the conditioning was brutal would be an understatement. Once it started, it felt like it would last forever. 

At exactly 5 a.m., all of us lacrosse players would congregate on the lacrosse field at an hour most would call "bright and early," but it was actually dark and depressing. In the frigid morning air, around 50 of us were nearly huddled for warmth. Each person saying to the other "Do you think he'll show?" and "If he doesn't we can go right?" All of us were cold and uncomfortable, standing dormant waiting for the strength and conditioning coach to show up.

And then, suddenly, when some hope of some warmth returning to our toes being restored, Dean would materialize. It seemed like he picked a different shadow to walk out of each morning, just to scare us. Dean was scary enough when we could see him, being close to 275lbs. We'd hear him yell "get on the line," and we'd sprint until some of us threw up. Dean did not like lacrosse players, he felt that they were entitled and did not work hard. Dean's dislike showed in what he put us through, and these workouts progressed to the point that Dean would eventually show up with trash cans for us to vomit in. He would chide us and say things to us as we vomited like "that's good, I bet you'll do it again," and "don't waste so much time throwing up."

Finished, heaving, doused with sweat and last night's food in 10 degree air, we'd have to then stagger to the weight room to complete the next segment of our training. While it wasn't as bad as conditioning, it was still tough to handle. Workouts showed on TV monitors reminiscent of Big Brother, telling us to work harder and finish our sets. We were lucky at this point if the head lacrosse coach made an appearance to tell us to work harder, and chum it up with his few favorites. The weight lifts weren't unreasonable, but each weightlifting session was capped by Dean's 'special' ab workout. However, Dean's ab workouts were not predicated on strength. The rule was, if anyone failed, then the whole team had to start over. Despite the all-for-one, one-for-all aspect of the workout, and despite the ridiculous exercises Dean made us do that were designed for us to fail, we had figured out a system. When Dean isn't looking, you can relax for a second. Simple, but foolproof.

Conditioning continued this way for weeks, and I was starting to grow tired of the trail of tears every other morning to the field. College was supposed to be a fun place where I found out who I was, not a job. I didn't enjoy being told what to do every day. And on top of that, I wasn't having as much fun at the parties as everyone else was. Every weekend it was the same thing: we'd have a party at one of the four lacrosse houses, girls would show up in skimpy outfits, everyone would drink, people would hook up, beer pong would be played, and everyone would go home. This algorithm for fun was not enough for me, I craved a sense of belonging that was deeper than shared hedonism. I wanted to be around people that I felt genuinely cared about me and who I was, and lacrosse just wasn't cutting it.

After a few weeks of conditioning, practices began, where I could actually play the sport I trained so hard for in high school. I was excited at the prospect of stepping onto a college lacrosse field as a player, rather than an athlete. Sitting at my locker in the CNU locker room putting on all of my team-issued gear really drove the point home and made me feel good about myself. I was even able to drown out all of the locker room madness around me just thinking about the possible glory to come. However, I quickly found out that my coach's salesmanship was just that, salesmanship. When I stepped onto the field for practice, I would either be put aside with the 3rd and 4th string players, or used in brutal drills where I couldn't even see the people shooting. There was one morning where the fastest shooter on the team was pit against me, in the very drill where I can't see the shooter. He has been clocked at 100+ miles per hour shooting the lacrosse ball. He wound up and fired, from 8 yards, and hit me in the knee. I have never felt a more intense pain in my life, and genuinely felt that my knee was shattered. I was told by coaching staff though to suck it up and get ready for the next shot. This moment put the final nails in the coffin, I needed something else to feel a sense of belonging, and not just like a piece of meat.

Practices continued, and I began to make friends with several people on the team. One of those friends was a guy named Jack. Jack was a decent lacrosse player, and a very funny guy, but was known for being in the fraternity Kappa Sigma on campus. He would always make me laugh and keep me laughing on the sidelines, since he and I both were not deemed good enough to even practice. After getting to know Jack, Jack said I should go to a rush event for Kappa Sigma, and that they are always looking for guys like me. Fraternities, I thought, were filled with beer-swilling, pastel-wearing, jocks that no longer could play their sports. That sounded like the perfect escape from my hellish nightmare that was college lacrosse, but I told him I would think about it.

## Rush Kappa Sigma

